# $Revision: 1.47.2.1 $, $Date: 2007/03/01 00:13:58 $
%include	/usr/lib/rpm/macros.php
%define		_class		Auth
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - PHP PEAR authentication class
Summary(pl):	%{_pearname} - klasa dla PHP PEAR z klasami uwierzytelniajcymi
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b45e9ea8ef3d5afde6371160bf28cca2
URL:		http://pear.php.net/package/Auth/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 4:1.0-8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq	'pear(Auth/RADIUS.php)' 'pear(File/Passwd.php)' 'pear(File/SMBPasswd.php)' 'pear(Net/POP3.php)' 'pear(DB.*)' 'pear(MDB.*)' 'pear(MDB2.*)' 'pear(Crypt/CHAP.*)' 'pear(SOAP.*)'

%description
The PEAR::Auth package provides methods for creating an authentication
system using PHP.

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet PEAR::Auth dostarcza metody do stworzenia systemu
uwierzytelniania uywajcego PHP.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/README*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Container
%{php_pear_dir}/%{_class}/Frontend

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Auth.spec,v $
Revision 1.47.2.1  2007/03/01 00:13:58  glen
- 1.5.0

Revision 1.47  2006/12/26 02:06:30  adamg
- updated to 1.4.3

Revision 1.46  2006/11/26 20:21:18  glen
- 1.4.2

Revision 1.45  2006/09/02 18:05:03  adamg
- updated to 1.3.2

Revision 1.44  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.43  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.42  2006/03/17 19:22:42  glen
- add CVE ref to 1.2.4

Revision 1.41  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.40  2006/03/06 01:07:54  glen
- 1.3.0

Revision 1.39  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.38  2006/02/16 18:14:45  glen
- 1.2.4 [fixes CVE-2006-0868]

Revision 1.37  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.36  2005/10/27 17:48:19  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.35  2005/10/15 14:39:10  glen
- updated optional deps; rel 5

Revision 1.34  2005/09/28 21:33:07  glen
- tabs

Revision 1.33  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.32  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.31  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.30  2005/09/21 21:04:48  glen
- fixed dirs, deps for -tests

Revision 1.29  2005/09/21 19:44:02  glen
- open bug

Revision 1.28  2005/09/21 09:25:57  glen
- rel 4

Revision 1.27  2005/09/19 21:43:39  glen
- integer BR

Revision 1.26  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.25.2.6  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.25.2.5  2005/09/18 12:40:53  glen
- unify

Revision 1.25.2.4  2005/09/18 11:52:35  glen
- cosmetics

Revision 1.25.2.3  2005/09/18 11:00:35  glen
- use php-pear-build

Revision 1.25.2.2  2005/09/18 10:33:42  glen
- mark optional PEAR packages

Revision 1.25.2.1  2005/09/18 10:28:01  glen
- using pear to package

Revision 1.25  2004/12/04 20:47:05  adamg
- fix path to Crypt/CHAP.php in Container/RADIUS.php
- release 3

Revision 1.24  2004/12/03 20:51:08  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.23  2004/10/24 17:05:53  paladine
- spelling fixes, uppercases, etc.

Revision 1.22  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.21  2003/12/16 21:01:06  adamg
- updated to 1.2.3
- added Auth directory

Revision 1.20  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.19  2003/08/31 20:49:08  adamg
- more specific URL

Revision 1.18  2003/07/29 07:09:22  adamg
- updated to 1.2.2
- added tests/ to %doc

Revision 1.17  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.16  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/02/16 12:35:10  blues
- 1.2.0 - NOT for Ra (too many new containers, too many new deps)

Revision 1.14  2003/01/07 17:06:25  blues
- release 3 - added status info, added dir entries (won't be present in
  php-4.3.0)

Revision 1.13  2002/10/14 23:35:51  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.12  2002/10/10 16:24:25  blues
- 1.1.1 - STBR

Revision 1.11  2002/08/13 19:35:58  blues
- simplifications

Revision 1.10  2002/07/21 13:42:19  ggodlewski
- some files were missing or in wrong directories

Revision 1.9  2002/07/12 15:11:44  blues
- cosmetic patch - change case of used class - dependencies are generated
  correctly now

Revision 1.8  2002/07/12 12:16:12  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/02 16:22:23  blues
- release 2
- Req. php-pear, removed provides dir

Revision 1.6  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.5  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.4  2002/06/25 13:03:16  blues
- more macros

Revision 1.3  2002/06/24 11:31:17  qboosh
- BR: rpm-php-pearprov

Revision 1.2  2002/06/24 10:51:31  blues
- modified to use new rpm-automate

Revision 1.1  2002/05/23 15:01:48  blues
- Auth class for pear
